Foreman - Bug #27317

Sync template for playing roles with new inventory structure
07/17/2019 11:29 AM - Ondrej Prazak

Status: Closed
Priority: Normal
Assignee: Ondrej Prazak
Category: Templates
Target version: 1.23.0
Difficulty: Fixed in Releases: 1.23.0
Triaged: Yes Found in Releases:
Bugzilla link: 1574461 Red Hat JIRA:
Pull request: https://github.com/theforeman/communit
y-templates/pull/552

Description

Template uses ‘foreman_params’ to display information about host, it should be “foreman’.

Steps to reproduce:

1) play ansible roles on host with 'Ansible Roles - Ansible Default' job tamplate
:PLAY [all] Ak hkhkhk kA hh A hhkhhhkhhkhkhk kA hhkhhhkhkhhkhhkhkhhkrhkhkrhhkhkhhkhhkrhkhkrhkhkrhkkhkhkhkhkhkdxkhkxkhkkxk*x

:TASK [Gatherll’lg Facts] KA A A AR A AR A A A AR A AR A A A A A A A A A A A A A A A A A A A A A A A hA A A A A A Ak A A Ak Ak kK *k

ok: [hostl.example.com]

:TASK [Display all parameters known for the Foreman host] ***kkkkkxtshkdddkdkkkxxthdk
:ok: [hostl.example.com] => {

"foreman_params": "VARIABLE IS NOT DEFINED!"

)

PLAY RECAP Ak h kA hkhhkkhkhkhhh kA hkhhkhkhkhkhh kA hkhhhkhkhhhk kA hkhkhhkhkhkhkhkhkhkhkhkhhkhkrhkhkkhkhkrhkhkhhkrhhk,kkxkx*

hostl.example.com : ok=2 changed=0 unreachable=0 failed=0 skipped=0

ignored=0

13

:Exit status: O

rescued=0

Related issues:

Related to Ansible - Bug #25462: When running Ansible roles on host, debug me... Closed

Copied to Ansible - Bug #27329: Sync template for playing roles with new inve... Closed

Associated revisions

Revision 4435830b - 07/17/2019 12:45 PM - Ondfej Prazak

Fixes #27317 - Fix the host params key

History

#1 - 07/17/2019 11:38 AM - Ondfej Prazak

- Related to Bug #25462: When running Ansible roles on host, debug message is not printed added

#2 - 07/17/2019 11:39 AM - Ondfej Prazak
- Bugzilla link set to 1574461

#3 - 07/17/2019 12:44 PM - Ewoud Kohl van Wijngaarden

- Project changed from Ansible to Foreman

- Category set to Templates

- Target version set to 1.23.0

- Triaged changed from No to Yes
#4 - 07/17/2019 12:45 PM - The Foreman Bot
- Fixed in Releases 1.23.0 added

#5 - 07/17/2019 12:48 PM - Ondrej Prazak

- Status changed from New to Closed

Applied in changeset community-templates|4435830b5374262a158f0b621ee86db77972cc34.

#6 - 07/18/2019 07:34 AM - Ondrej Prazak
- Copied to Bug #27329: Sync template for playing roles with new inventry structure added

#7 - 07/18/2019 11:17 AM - Marek Hulan
- Pull request https://github.com/theforeman/community-templates/pull/552 added

#8 - 08/05/2019 01:38 PM - Tomer Brisker

- Subject changed from Sync template for playing roles with new inventry structure to Sync template for playing roles with new inventory structure
